Bug 1637059 - epel-7-ppc64 config is missing despite ppc64 being a supported EL7 target
Summary: epel-7-ppc64 config is missing despite ppc64 being a supported EL7 target
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock-core-configs
Version: 28
Hardware: ppc64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-08 14:14 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2019-01-18 00:34 UTC (History)
1 user (show)

Fixed In Version: mock-core-configs-29.4-1.fc29 mock-core-configs-29.4-1.fc28 mock-core-configs-29.4-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-18 03:58:39 UTC
Type: Bug


Attachments (Terms of Use)

Description Dominik 'Rathann' Mierzejewski 2018-10-08 14:14:54 UTC
Description of problem:
/etc/mock/epel-7-ppc64.cfg is missing from mock-core-configs and it's not possible to build native EL7 packages on a ppc64 host running F28 by default.

Version-Release number of selected component (if applicable):
mock-core-configs-29.2-1.fc28.noarch

How reproducible:
Always.

Steps to Reproduce:
1. Log in to a ppc64 host
2. mock -r epel-7-ppc64 init

Actual results:
ERROR: Could not find required config file: /etc/mock/epel-7-ppc64.cfg
ERROR:   If you're trying to specify a path, include the .cfg extension, e.g. -r ./target.cfg

Expected results:
Successful initialization of the mock buildroot.

Additional info:
Adding the config back manually makes it work, with the exception of the sclo-rh repo, which seems to lack ppc64 build. Please put back the ppc64 config, even with sclo-rh repo disabled. Very few packages need devtoolset.

Comment 1 Dominik 'Rathann' Mierzejewski 2018-10-09 07:39:53 UTC
Apparently, koji has access to ppc64 sclo-rh repo, because it's able to install devtoolset-7 on ppc64: https://koji.fedoraproject.org/koji/taskinfo?taskID=30133845 . The build failed for an unrelated reason. Please add the repo config to mock-core-configs, so that we can build in the same environment as koji does under Fedora mock.

Comment 2 Miroslav Suchý 2018-10-09 08:15:04 UTC
According git history the `epel-7-ppc64.cfg` was never part of mock. So it is not 'adding back' but just 'adding'.

Yes. I can add it.

Comment 3 Miroslav Suchý 2018-10-09 08:32:13 UTC
According to my investigation sclo-rh repo is not available for ppc64. The packages are available in koji (maybe some packages). I remove sclo-rh repo from this config.
If you want to have this repository available, you must persuade somebody from CentOS to make it available.

Done in commit:
* 52f8418 (HEAD -> devel, origin/devel, origin/HEAD) add epel-7-ppc64.cfg

Comment 4 Fedora Update System 2018-11-15 21:55:31 UTC
mock-core-configs-29.3-1.el7 distribution-gpg-keys-1.25-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-741763aa6a

Comment 5 Fedora Update System 2018-11-15 21:55:38 UTC
distribution-gpg-keys-1.25-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-531903d68e

Comment 6 Fedora Update System 2018-11-15 21:55:44 UTC
mock-core-configs-29.3-1.fc28 distribution-gpg-keys-1.25-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f881c924cc

Comment 7 Fedora Update System 2018-11-15 21:55:51 UTC
mock-core-configs-29.3-1.fc29 distribution-gpg-keys-1.25-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-86a0a48569

Comment 8 Fedora Update System 2018-11-15 21:55:55 UTC
mock-core-configs-29.3-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e3c3a22d00

Comment 9 Fedora Update System 2018-11-16 04:34:42 UTC
mock-core-configs-29.3-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e3c3a22d00

Comment 10 Fedora Update System 2018-11-16 05:52:25 UTC
distribution-gpg-keys-1.25-1.fc29, mock-core-configs-29.3-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-86a0a48569

Comment 11 Fedora Update System 2018-11-16 05:59:58 UTC
distribution-gpg-keys-1.25-1.fc28, mock-core-configs-29.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f881c924cc

Comment 12 Fedora Update System 2018-11-16 06:10:50 UTC
distribution-gpg-keys-1.25-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-531903d68e

Comment 13 Fedora Update System 2018-11-16 06:11:32 UTC
distribution-gpg-keys-1.25-1.el7, mock-core-configs-29.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-741763aa6a

Comment 14 Fedora Update System 2018-11-16 13:09:23 UTC
distribution-gpg-keys-1.26-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-d9e40ceab7

Comment 15 Fedora Update System 2018-11-16 13:09:30 UTC
distribution-gpg-keys-1.26-1.fc28 mock-core-configs-29.4-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4974dbdf11

Comment 16 Fedora Update System 2018-11-16 13:09:40 UTC
distribution-gpg-keys-1.26-1.fc29 mock-core-configs-29.4-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-25e57e4c51

Comment 17 Fedora Update System 2018-11-16 13:09:44 UTC
mock-core-configs-29.4-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3c4b1fc4f7

Comment 18 Fedora Update System 2018-11-16 13:09:49 UTC
distribution-gpg-keys-1.26-1.el7 mock-core-configs-29.4-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-b5a73fcca9

Comment 19 Fedora Update System 2018-11-17 04:45:00 UTC
distribution-gpg-keys-1.26-1.fc29, mock-core-configs-29.4-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-25e57e4c51

Comment 20 Fedora Update System 2018-11-17 05:36:13 UTC
distribution-gpg-keys-1.26-1.el7, mock-core-configs-29.4-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-b5a73fcca9

Comment 21 Fedora Update System 2018-11-17 05:59:07 UTC
mock-core-configs-29.4-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3c4b1fc4f7

Comment 22 Fedora Update System 2018-11-17 06:10:05 UTC
distribution-gpg-keys-1.26-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-d9e40ceab7

Comment 23 Fedora Update System 2018-11-17 06:40:01 UTC
distribution-gpg-keys-1.26-1.fc28, mock-core-configs-29.4-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4974dbdf11

Comment 24 Fedora Update System 2018-11-18 03:58:39 UTC
distribution-gpg-keys-1.26-1.fc29, mock-core-configs-29.4-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2018-11-27 17:12:08 UTC
distribution-gpg-keys-1.26-1.fc28, mock-core-configs-29.4-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2018-12-05 00:42:44 UTC
distribution-gpg-keys-1.26-1.el7, mock-core-configs-29.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2019-01-02 13:17:49 UTC
distribution-gpg-keys-1.27-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-c245b2d1fd

Comment 28 Fedora Update System 2019-01-03 00:09:40 UTC
distribution-gpg-keys-1.27-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-c245b2d1fd

Comment 29 Fedora Update System 2019-01-18 00:34:56 UTC
distribution-gpg-keys-1.27-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.